package com.hotent.surveyinfo.model.dto;

// BatchHeadersItemsRequest.java

import com.hotent.surveyinfo.model.CostSurveyTemplateHeaders;
import com.hotent.surveyinfo.model.CostSurveyTemplateItems;
import java.util.List;

public class BatchHeadersItemsRequest {
    //新增和修改的表头
    private List<CostSurveyTemplateHeaders> headersList;
    //新增和修改的指标项
    private List<CostSurveyTemplateItems> itemsList;
    //删除的表头
    private List<CostSurveyTemplateHeaders> deleteheadersList;

    public List<CostSurveyTemplateHeaders> getDeleteheadersList() {
        return deleteheadersList;
    }

    public void setDeleteheadersList(List<CostSurveyTemplateHeaders> deleteheadersList) {
        this.deleteheadersList = deleteheadersList;
    }


    // getters and setters
    public List<CostSurveyTemplateHeaders> getHeadersList() {
        return headersList;
    }

    public void setHeadersList(List<CostSurveyTemplateHeaders> headersList) {
        this.headersList = headersList;
    }

    public List<CostSurveyTemplateItems> getItemsList() {
        return itemsList;
    }

    public void setItemsList(List<CostSurveyTemplateItems> itemsList) {
        this.itemsList = itemsList;
    }
}
